This is Browse.info, produced by Macaulay2, version 1.20

Browse -- a method for browsing and examining Macaulay2 data structures
***********************************************************************

Author
======

  * Daniel R. Grayson (see http://www.math.uiuc.edu/~dan/ ) <dan@math.uiuc.edu>

Version
=======

This documentation describes version 1.0 of Browse.

Source code
===========

The source code from which this documentation is derived is in the file
Browse.m2 (see common/share/Macaulay2/Browse.m2 ).

Exports
=======

  * Functions and commands
      * browse -- browse the contents of an object

For the programmer
==================

The object Browse, is a package (Macaulay2Doc).

browse -- browse the contents of an object
******************************************

Description
===========

browse x -- provides an interactive mechanism that allows the user to explore
the hash table or list x.

A menu of numbered items is presented to the user that allow the user to
inspect the class (Macaulay2Doc), or parent (Macaulay2Doc),
of x.  For a hash table, the keys are presented so the
user can visit the corresponding values, and for a list, the entries are
presented so the user can visit them.  One of the menu items allows the user to
go back to re-examine the previous item.

For the programmer
==================

The object browse, is a function closure (Macaulay2Doc).